Skip to main content
GET
/
reports
/
{report_id}
Get Evaluation
curl --request GET \
  --url https://api.promptlayer.com/reports/{report_id} \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "message": "<string>",
  "report": {
    "id": 123,
    "name": "<string>",
    "deleted": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "workspace_id": 123,
    "comment": "<string>",
    "is_blueprint": true,
    "score": {},
    "score_configuration": {},
    "score_matrix": "<array>",
    "score_calculation_error": "<string>",
    "parent_report_id": 123,
    "dataset_id": 123,
    "user_id": 123,
    "prompt_registry_id": 123,
    "prompt_version_number": 123
  },
  "stats": {
    "status_counts": {
      "COMPLETED": 123,
      "FAILED": 123,
      "QUEUED": 123,
      "RUNNING": 123
    }
  },
  "report_columns": [
    {
      "id": 123,
      "report_id": 123,
      "column_type": "<string>",
      "name": "<string>",
      "position": 123,
      "is_part_of_score": true,
      "configuration": {},
      "score": 123
    }
  ]
}
Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
This endpoint allows you to retrieve the info about a report. Please note that if you want to get the score of a report, you should use the GET /reports/{report_id}/score endpoint instead (link).

Authorizations

X-API-KEY
string
header
required

Path Parameters

report_id
integer
required

ID of the report to retrieve.

Response

Report retrieved successfully

success
boolean
message
string
report
object

The report data with all fields

status
enum<string>

Overall status of the report execution

Available options:
RUNNING,
COMPLETED
stats
object
report_columns
object[]

Ordered list of column configurations for this report.